[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TCardinalHelper.ToBoolean

Convert to a boolean value

## Declaration

Source position: syshelph.inc line 495

`public function TCardinalHelper.ToBoolean: Boolean;`

## Description

ToBoolean converts the Cardinal value to a boolean: it returns True if the value is nonzero, False if it is zero.

## See also

TCardinalHelper.ToSingle |  | Convert to an single-sized floating point value
TCardinalHelper.ToDouble |  | Convert to a double-sized floating point value
TCardinalHelper.ToExtended |  | Convert to an extended-sized floating point value
TCardinalHelper.ToString |  | Convert the value to string
TCardinalHelper.ToHexString |  | Convert to a hexadecimal string representation